Bug 1802555 (CVE-2020-8649) - CVE-2020-8649 kernel: invalid read location in vgacon_invert_region function in drivers/video/console/vgacon.c
Summary: CVE-2020-8649 kernel: invalid read location in vgacon_invert_region function ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-8649
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1802558 1818730 1818731 1818732 1818733 1818735
Blocks: 1802565
TreeView+ depends on / blocked
 
Reported: 2020-02-13 11:56 UTC by Dhananjay Arunesh
Modified: 2021-02-16 20:34 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel’s implementation of the invert video code on VGA consoles when a local attacker attempts to resize the console. An out-of-bounds read can occur, leaking information to the console.
Clone Of:
Environment:
Last Closed: 2020-09-29 21:59:48 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4416 0 None None None 2020-10-29 15:10:07 UTC
Red Hat Product Errata RHBA-2020:4417 0 None None None 2020-10-29 15:08:39 UTC
Red Hat Product Errata RHBA-2020:4418 0 None None None 2020-10-29 15:14:02 UTC
Red Hat Product Errata RHBA-2020:4419 0 None None None 2020-10-29 15:12:28 UTC
Red Hat Product Errata RHBA-2020:4420 0 None None None 2020-10-29 15:51:23 UTC
Red Hat Product Errata RHSA-2020:4060 0 None None None 2020-09-29 20:53:15 UTC
Red Hat Product Errata RHSA-2020:4062 0 None None None 2020-09-29 18:59:12 UTC
Red Hat Product Errata RHSA-2020:4431 0 None None None 2020-11-04 00:50:27 UTC
Red Hat Product Errata RHSA-2020:4609 0 None None None 2020-11-04 02:22:35 UTC

Description Dhananjay Arunesh 2020-02-13 11:56:51 UTC
A flaw was found in the Linux kernels implementation of VGA local console in the  vgacon_invert_region functionality.  An attacker with local physical access to a "VGA console" (think local virtual console) who is able to issue a terminal resize request could possibly cause a leak of information to the local console.

Reference:
https://bugzilla.kernel.org/show_bug.cgi?id=206357
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/patch/?id=513dc792d6060d5ef572e43852683097a8420f56

Comment 1 Dhananjay Arunesh 2020-02-13 11:58:43 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1802558]

Comment 2 Justin M. Forbes 2020-03-20 15:41:05 UTC
This issues was fixed for Fedora with the 5.4.25 stable kernel updates.

Comment 9 Petr Matousek 2020-04-03 04:47:24 UTC
Statement:

This flaw is rated as a having Moderate impact, it is an infoleak that is written to the screen.

Comment 10 Petr Matousek 2020-04-03 04:47:28 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 11 errata-xmlrpc 2020-09-29 18:59:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4062 https://access.redhat.com/errata/RHSA-2020:4062

Comment 12 errata-xmlrpc 2020-09-29 20:53:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4060 https://access.redhat.com/errata/RHSA-2020:4060

Comment 13 Product Security DevOps Team 2020-09-29 21:59:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8649

Comment 29 errata-xmlrpc 2020-11-04 00:50:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4431 https://access.redhat.com/errata/RHSA-2020:4431

Comment 30 errata-xmlrpc 2020-11-04 02:22:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4609 https://access.redhat.com/errata/RHSA-2020:4609


Note You need to log in before you can comment on or make changes to this bug.